{% extends "_base.html" %}

{% block styles %}
  main {
    margin: 0 auto;
    max-width: 42rem;
  }

  article {
    text-align: left;
    max-width: 27em;
  }

  article p {
    margin-bottom: 1ex;
  }

  aside {
    font-size: .75em;
    padding: 1.5em;
    margin: 1.75em;
    text-align: left;
    float: right;
    width: 160px;
    background: #d0d0d0;
    border-radius: 3em;
    position: sticky;
    top: 1.5em;
  }

  .scroll-nav__list,
  .scroll-nav__sub-list {
    list-style: none;
    margin-top: 8px;
  }

  .scroll-nav__list {
    padding-left: 0;
  }

  .scroll-nav__sub-list {
    padding-left: 2em;
  }

  .scroll-nav__item {
    margin-bottom: 1ex;
  }

  .scroll-nav__sub-item {
    margin-bottom: 0.5ex;
  }

  .scroll-nav__item--active > a {
    font-weight: 800;
  }

  @media only screen and (max-width: 42em) {
    aside {
      position: relative;
    }
  }

{% endblock %}

{% block content %}

  <aside>
    <header>
      <h2>Contents</h2>
      <span id="scrollnav"></span>
  </aside>

  <article>

  {{ content | markdown }}

  </article>

{% endblock %}

{% block scripts %}

  <script src="/js/scrollnav.min.umd.js"></script>
  <script>
    const content = document.querySelector("article");
    scrollnav.init(
      content, {
        insertTarget: document.querySelector("#scrollnav"),
        subSections: "h3"
      }
    );
  </script>

{% endblock %}
